Subject: bug#25108: 26.0.50; info node shows octal characters instead of curvy quotes

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Dec 2016 05:39:31 +0200

> From: Eric Hanchrow <[email-masked]>
> Date: Sun, 04 Dec 2016 17:40:28 +0000
> 
> I built emacs from git (commit a486fabb41cdbaa5813c2687fd4008945297d71d) via
> 
> git clean -dxf
> ./autogen.sh
> ./configure
> make all install
> 
> I then invoked it like this
> 
> open --new ~/git-repositories/3rd-party/emacs-master/nextstep/Emacs-master.app/ --args -Q
> 
> I then invoked info on the file elisp.info, something like this (I'm not
> sure exactly what I typed, but it wound up leaving this in command-history)
> 
> (info "~/git-repositories/3rd-party/emacs-master/info/elisp.info" nil)
> 
> I then typed g Keys SPC in SPC Documentation RET
> 
> I then noticed that the description of text-quoting-style looked like
> this:
> 
> -- Variable: text-quoting-style
> The value of this variable is a symbol that specifies the style
> Emacs should use for single quotes in the wording of help and
> messages. If the variable's value is `curve', the style is
> \342\200\230like this\342\200\231 with curved single quotes. If the value is
> `straight', the style is 'like this' with straight apostrophes.

According to the mode line, what is buffer-file-coding-system of the
buffer showing this?  It should be UTF-8.